Subject: Re: [i2c] [PATCH 3/5] powerpc: Document device nodes for I2C devices.

From: Jean Delvare <[email-masked]>
Date: Fri, 18 May 2007 17:15:55 +0200

Hi Kumar,

On Thu, 17 May 2007 12:21:02 -0500, Kumar Gala wrote:
> The only support we have for i2c controllers is to support one  
> specific i2c controller from Freescale.
> 
> If you aren't going to provide a complete solution why are you  
> prosing one?  I'm tired of this put stuff in the device tree but only  
> as much as I need to do my particular thing.

This is exactly how free software development works. If people were
only proposing complete solutions, Linux would not even exist. Things
happen exactly because people write what they need and contribute what
they wrote. If you think it's not enough for your own needs (present or
future), then _you_ get to do the extra work.

Thanks,
-- 
Jean Delvare